Bug 1416980 - SELinux is preventing hdparm from 'ioctl' accesses on the blk_file /dev/sr0.
Summary: SELinux is preventing hdparm from 'ioctl' accesses on the blk_file /dev/sr0.
Keywords:
Status: CLOSED DUPLICATE of bug 1436830
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f1498037012314ae0ff00546f9b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 23:42 UTC by arturpolak1
Modified: 2017-04-17 13:51 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-17 13:51:03 UTC
Type: ---


Attachments (Terms of Use)

Description arturpolak1 2017-01-26 23:42:09 UTC
Description of problem:
SELinux is preventing hdparm from 'ioctl' accesses on the blk_file /dev/sr0.

*****  Plugin catchall (100. confidence) suggests   **************************

If aby hdparm powinno mieć domyślnie ioctl dostęp do sr0 blk_file.
Then proszę to zgłosić jako błąd.
Można utworzyć lokalny moduł polityki, aby umożliwić ten dostęp.
Do
allow this access for now by executing:
# ausearch -c 'hdparm' --raw | audit2allow -M my-hdparm
# semodule -X 300 -i my-hdparm.pp

Additional Information:
Source Context                system_u:system_r:tlp_t:s0
Target Context                system_u:object_r:removable_device_t:s0
Target Objects                /dev/sr0 [ blk_file ]
Source                        hdparm
Source Path                   hdparm
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-235.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.9.5-200.fc25.x86_64 #1 SMP Fri
                              Jan 20 12:24:16 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-01-26 10:53:24 CET
Last Seen                     2017-01-26 10:53:24 CET
Local ID                      6adfae18-dd89-4530-9753-656e1b1178f0

Raw Audit Messages
type=AVC msg=audit(1485424404.34:236): avc:  denied  { ioctl } for  pid=2044 comm="hdparm" path="/dev/sr0" dev="devtmpfs" ino=9592 ioctlcmd=0x2285 scontext=system_u:system_r:tlp_t:s0 tcontext=system_u:object_r:removable_device_t:s0 tclass=blk_file permissive=1


Hash: hdparm,tlp_t,removable_device_t,blk_file,ioctl

Version-Release number of selected component:
selinux-policy-3.13.1-235.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.0
hashmarkername: setroubleshoot
kernel:         4.10.0-0.rc5.git1.1.fc26.x86_64
type:           libreport

Comment 1 Fedora End Of Life 2017-02-28 11:05:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Lukas Vrabec 2017-04-17 13:51:03 UTC

*** This bug has been marked as a duplicate of bug 1436830 ***


Note You need to log in before you can comment on or make changes to this bug.